<html>
<head>
<title>Ogre::GLPBRTTManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLPBRTTManager.html">GLPBRTTManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLPBRTTManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLPBRTTManager" --><!-- doxytag: inherits="Ogre::GLRTTManager" -->
<p>Manager for rendertextures and PBuffers (offscreen rendering contexts)  
 <a href="classOgre_1_1GLPBRTTManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLPBRenderTexture_8h_source.html">OgreGLPBRenderTexture.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GLPBRTTManager:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1GLPBRTTManager__inherit__graph.gif" border="0" usemap="#Ogre_1_1GLPBRTTManager_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GLPBRTTManager_inherit__map" id="Ogre_1_1GLPBRTTManager_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1GLRTTManager.html" title="Manager/factory for RenderTextures." alt="" coords="45,83,195,112"/><area shape="rect" id="node4" href="classOgre_1_1Singleton.html" title="Ogre::Singleton\&lt; GLRTTManager \&gt;" alt="" coords="5,5,235,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1GLPBRTTManager-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLPBRTTManager_1_1PBRef.html">PBRef</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reference to a PBuffer, with refcount.  <a href="structOgre_1_1GLPBRTTManager_1_1PBRef.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBRTTManager.html#a1b6556a5fcc24bb085be3008e84d24ec">GLPBRTTManager</a> (<a class="el" href="classOgre_1_1GLSupport.html">GLSupport</a> *support, <a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *mainwindow)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBRTTManager.html#a71776ecc50a519c832a6621d2cd8689e">~GLPBRTTManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1RenderTexture.html">RenderTexture</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBRTTManager.html#a9e4ff5346d8335faf402334af4af9322">createRenderTexture</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a> &amp;target, bool writeGamma, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBRTTManager.html#a8c720a2e6fbdebf3950e35b62b005279">checkFormat</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBRTTManager.html#ae389b2ad292ffd66f88436567356bbea">bind</a> (<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *target)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBRTTManager.html#a9c0bf473c3112935173538969020fdbe">unbind</a> (<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *target)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBRTTManager.html#a800f6a4de258b5cb9915635a79122ddc">requestPBuffer</a> (<a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a> ctype, size_t width, size_t height)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create PBuffer for a certain pixel format and size.  <a href="#a800f6a4de258b5cb9915635a79122ddc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBRTTManager.html#ac43cc17abbd3e4db45bc7bd285c9923a">releasePBuffer</a> (<a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a> ctype)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Release PBuffer for a certain pixel format.  <a href="#ac43cc17abbd3e4db45bc7bd285c9923a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLContext.html">GLContext</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBRTTManager.html#a5e028c25e01a3c6a4db295924fad39f1">getContextFor</a> (<a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a> ctype, size_t width, size_t height)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get GL rendering context for a certain component type and size.  <a href="#a5e028c25e01a3c6a4db295924fad39f1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLRTTManager.html#a9009ddc7bebd9a077c2152e9432ff634">getBestDepthStencil</a> (GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1MultiRenderTarget.html">MultiRenderTarget</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLRTTManager.html#a1075312a92286d2e9c59eba718181f44">createMultiRenderTarget</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a multi render target.  <a href="#a1075312a92286d2e9c59eba718181f44"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLRTTManager.html#a106e43311c8d274d515f7b954e4fb24f">getSupportedAlternative</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the closest supported alternative format.  <a href="#a106e43311c8d274d515f7b954e4fb24f"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a> (void)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLSupport.html">GLSupport</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBRTTManager.html#aaf81b8dfd4505431660414b1e7504ed2">mSupport</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1GLSupport.html">GLSupport</a> reference, used to create PBuffers.  <a href="#aaf81b8dfd4505431660414b1e7504ed2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBRTTManager.html#ae5805d3517552d678694525f4894cf35">mMainWindow</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Primary window reference.  <a href="#ae5805d3517552d678694525f4894cf35"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLContext.html">GLContext</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBRTTManager.html#abbd21118c99d3a72dbe40b4e592cb0c2">mMainContext</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Primary window context.  <a href="#abbd21118c99d3a72dbe40b4e592cb0c2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLPBRTTManager_1_1PBRef.html">PBRef</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLPBRTTManager.html#a3e93cac3de75ae8e1facd01de4e20ff1">mPBuffers</a> [<a class="el" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea9966a610c32b0e690c91a553b7b8a45e">PCT_COUNT</a>]</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Type to map each component type to a PBuffer.  <a href="#a3e93cac3de75ae8e1facd01de4e20ff1"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Manager for rendertextures and PBuffers (offscreen rendering contexts) </p>

<p>Definition at line <a class="el" href="OgreGLPBRenderTexture_8h_source.html#l00053">53</a> of file <a class="el" href="OgreGLPBRenderTexture_8h_source.html">OgreGLPBRenderTexture.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a1b6556a5fcc24bb085be3008e84d24ec"></a><!-- doxytag: member="Ogre::GLPBRTTManager::GLPBRTTManager" ref="a1b6556a5fcc24bb085be3008e84d24ec" args="(GLSupport *support, RenderTarget *mainwindow)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLPBRTTManager.html#a1b6556a5fcc24bb085be3008e84d24ec">Ogre::GLPBRTTManager::GLPBRTTManager</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GLSupport.html">GLSupport</a> *&#160;</td>
          <td class="paramname"><em>support</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>mainwindow</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a71776ecc50a519c832a6621d2cd8689e"></a><!-- doxytag: member="Ogre::GLPBRTTManager::~GLPBRTTManager" ref="a71776ecc50a519c832a6621d2cd8689e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLPBRTTManager.html#a71776ecc50a519c832a6621d2cd8689e">Ogre::GLPBRTTManager::~GLPBRTTManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ae389b2ad292ffd66f88436567356bbea"></a><!-- doxytag: member="Ogre::GLPBRTTManager::bind" ref="ae389b2ad292ffd66f88436567356bbea" args="(RenderTarget *target)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLPBRTTManager.html#ae389b2ad292ffd66f88436567356bbea">Ogre::GLPBRTTManager::bind</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Bind a certain render target. </p>
 
<p>Implements <a class="el" href="classOgre_1_1GLRTTManager.html#ac9b94d66d780e46d084cb142b92c2153">Ogre::GLRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="a8c720a2e6fbdebf3950e35b62b005279"></a><!-- doxytag: member="Ogre::GLPBRTTManager::checkFormat" ref="a8c720a2e6fbdebf3950e35b62b005279" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1GLPBRTTManager.html#a8c720a2e6fbdebf3950e35b62b005279">Ogre::GLPBRTTManager::checkFormat</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Check if a certain format is usable as rendertexture format. </p>
 
<p>Implements <a class="el" href="classOgre_1_1GLRTTManager.html#ad75c58c30fc8a25671aca04d9c213454">Ogre::GLRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="a1075312a92286d2e9c59eba718181f44"></a><!-- doxytag: member="Ogre::GLPBRTTManager::createMultiRenderTarget" ref="a1075312a92286d2e9c59eba718181f44" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1MultiRenderTarget.html">MultiRenderTarget</a>* <a class="el" href="classOgre_1_1GLRTTManager.html#a1075312a92286d2e9c59eba718181f44">Ogre::GLRTTManager::createMultiRenderTarget</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a multi render target. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1GLFBOManager.html#a34ef91963d6db79ab0cc55861df1462d">Ogre::GLFBOManager</a>.</p>

</div>
</div>
<a class="anchor" id="a9e4ff5346d8335faf402334af4af9322"></a><!-- doxytag: member="Ogre::GLPBRTTManager::createRenderTexture" ref="a9e4ff5346d8335faf402334af4af9322" args="(const String &amp;name, const GLSurfaceDesc &amp;target, bool writeGamma, uint fsaa)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1RenderTexture.html">RenderTexture</a>* <a class="el" href="classOgre_1_1GLPBRTTManager.html#a9e4ff5346d8335faf402334af4af9322">Ogre::GLPBRTTManager::createRenderTexture</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a> &amp;&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>writeGamma</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>fsaa</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Create a texture rendertarget object. </p>
 
<p>Implements <a class="el" href="classOgre_1_1GLRTTManager.html#aac78ded603f500c9f40a3d538f585bfd">Ogre::GLRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="a9009ddc7bebd9a077c2152e9432ff634"></a><!-- doxytag: member="Ogre::GLPBRTTManager::getBestDepthStencil" ref="a9009ddc7bebd9a077c2152e9432ff634" args="(GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLRTTManager.html#a9009ddc7bebd9a077c2152e9432ff634">Ogre::GLRTTManager::getBestDepthStencil</a> </td>
          <td>(</td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>internalFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLenum *&#160;</td>
          <td class="paramname"><em>depthFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLenum *&#160;</td>
          <td class="paramname"><em>stencilFormat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1GLFBOManager.html#a5427433796eddd9ca51bce5a015200c0">Ogre::GLFBOManager</a>.</p>

<p>Definition at line <a class="el" href="OgreGLRenderTexture_8h_source.html#l00087">87</a> of file <a class="el" href="OgreGLRenderTexture_8h_source.html">OgreGLRenderTexture.h</a>.</p>

<p>References <a class="el" href="OgreGLESPrerequisites_8h_source.html#l00106">GL_NONE</a>.</p>

</div>
</div>
<a class="anchor" id="a5e028c25e01a3c6a4db295924fad39f1"></a><!-- doxytag: member="Ogre::GLPBRTTManager::getContextFor" ref="a5e028c25e01a3c6a4db295924fad39f1" args="(PixelComponentType ctype, size_t width, size_t height)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLContext.html">GLContext</a>* <a class="el" href="classOgre_1_1GLPBRTTManager.html#a5e028c25e01a3c6a4db295924fad39f1">Ogre::GLPBRTTManager::getContextFor</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a>&#160;</td>
          <td class="paramname"><em>ctype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get GL rendering context for a certain component type and size. </p>

</div>
</div>
<a class="anchor" id="a7757bd7ac3702c144502e53ad6491888"></a><!-- doxytag: member="Ogre::GLPBRTTManager::getSingleton" ref="a7757bd7ac3702c144502e53ad6491888" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a> &amp; <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00090">90</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7ab51c46521b89723d6186a52a7e0d7b"></a><!-- doxytag: member="Ogre::GLPBRTTManager::getSingletonPtr" ref="a7ab51c46521b89723d6186a52a7e0d7b" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00092">92</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a106e43311c8d274d515f7b954e4fb24f"></a><!-- doxytag: member="Ogre::GLPBRTTManager::getSupportedAlternative" ref="a106e43311c8d274d515f7b954e4fb24f" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1GLRTTManager.html#a106e43311c8d274d515f7b954e4fb24f">Ogre::GLRTTManager::getSupportedAlternative</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the closest supported alternative format. </p>
<p>If format is supported, returns format. </p>

</div>
</div>
<a class="anchor" id="ac43cc17abbd3e4db45bc7bd285c9923a"></a><!-- doxytag: member="Ogre::GLPBRTTManager::releasePBuffer" ref="ac43cc17abbd3e4db45bc7bd285c9923a" args="(PixelComponentType ctype)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLPBRTTManager.html#ac43cc17abbd3e4db45bc7bd285c9923a">Ogre::GLPBRTTManager::releasePBuffer</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a>&#160;</td>
          <td class="paramname"><em>ctype</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Release PBuffer for a certain pixel format. </p>

</div>
</div>
<a class="anchor" id="a800f6a4de258b5cb9915635a79122ddc"></a><!-- doxytag: member="Ogre::GLPBRTTManager::requestPBuffer" ref="a800f6a4de258b5cb9915635a79122ddc" args="(PixelComponentType ctype, size_t width, size_t height)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLPBRTTManager.html#a800f6a4de258b5cb9915635a79122ddc">Ogre::GLPBRTTManager::requestPBuffer</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a>&#160;</td>
          <td class="paramname"><em>ctype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create PBuffer for a certain pixel format and size. </p>

</div>
</div>
<a class="anchor" id="a9c0bf473c3112935173538969020fdbe"></a><!-- doxytag: member="Ogre::GLPBRTTManager::unbind" ref="a9c0bf473c3112935173538969020fdbe" args="(RenderTarget *target)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLPBRTTManager.html#a9c0bf473c3112935173538969020fdbe">Ogre::GLPBRTTManager::unbind</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Unbind a certain render target. </p>
<p>This is called before binding another <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>, and before the context is switched. It can be used to do a copy, or just be a noop if direct binding is used. </p>
 
<p>Implements <a class="el" href="classOgre_1_1GLRTTManager.html#aac3b27462f81df6c88359af32f551efc">Ogre::GLRTTManager</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="abbd21118c99d3a72dbe40b4e592cb0c2"></a><!-- doxytag: member="Ogre::GLPBRTTManager::mMainContext" ref="abbd21118c99d3a72dbe40b4e592cb0c2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLContext.html">GLContext</a>* <a class="el" href="classOgre_1_1GLPBRTTManager.html#abbd21118c99d3a72dbe40b4e592cb0c2">Ogre::GLPBRTTManager::mMainContext</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Primary window context. </p>

<p>Definition at line <a class="el" href="OgreGLPBRenderTexture_8h_source.html#l00093">93</a> of file <a class="el" href="OgreGLPBRenderTexture_8h_source.html">OgreGLPBRenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae5805d3517552d678694525f4894cf35"></a><!-- doxytag: member="Ogre::GLPBRTTManager::mMainWindow" ref="ae5805d3517552d678694525f4894cf35" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a>* <a class="el" href="classOgre_1_1GLPBRTTManager.html#ae5805d3517552d678694525f4894cf35">Ogre::GLPBRTTManager::mMainWindow</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Primary window reference. </p>

<p>Definition at line <a class="el" href="OgreGLPBRenderTexture_8h_source.html#l00091">91</a> of file <a class="el" href="OgreGLPBRenderTexture_8h_source.html">OgreGLPBRenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3e93cac3de75ae8e1facd01de4e20ff1"></a><!-- doxytag: member="Ogre::GLPBRTTManager::mPBuffers" ref="a3e93cac3de75ae8e1facd01de4e20ff1" args="[PCT_COUNT]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLPBRTTManager_1_1PBRef.html">PBRef</a> <a class="el" href="classOgre_1_1GLPBRTTManager.html#a3e93cac3de75ae8e1facd01de4e20ff1">Ogre::GLPBRTTManager::mPBuffers</a>[<a class="el" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea9966a610c32b0e690c91a553b7b8a45e">PCT_COUNT</a>]<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Type to map each component type to a PBuffer. </p>

<p>Definition at line <a class="el" href="OgreGLPBRenderTexture_8h_source.html#l00102">102</a> of file <a class="el" href="OgreGLPBRenderTexture_8h_source.html">OgreGLPBRenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="aff0baaaed91d8505cfb72b7725ae1c37"></a><!-- doxytag: member="Ogre::GLPBRTTManager::msSingleton" ref="aff0baaaed91d8505cfb72b7725ae1c37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00075">75</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="aaf81b8dfd4505431660414b1e7504ed2"></a><!-- doxytag: member="Ogre::GLPBRTTManager::mSupport" ref="aaf81b8dfd4505431660414b1e7504ed2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLSupport.html">GLSupport</a>* <a class="el" href="classOgre_1_1GLPBRTTManager.html#aaf81b8dfd4505431660414b1e7504ed2">Ogre::GLPBRTTManager::mSupport</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1GLSupport.html">GLSupport</a> reference, used to create PBuffers. </p>

<p>Definition at line <a class="el" href="OgreGLPBRenderTexture_8h_source.html#l00089">89</a> of file <a class="el" href="OgreGLPBRenderTexture_8h_source.html">OgreGLPBRenderTexture.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLPBRenderTexture_8h_source.html">OgreGLPBRenderTexture.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:19
</p>
</body>
</html>
